package com.cosmodas.EntCosmos;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Entity
@Table(name = "consultores_dato_reparto")
@NamedQueries({
        @NamedQuery(name = "ConsultoresDatosReparto.findAll", query = "SELECT c FROM ConsultoresDatosReparto c")
})
public class ConsultoresDatosReparto implements Serializable {

    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "direccio_reparto")
    private String direccionReparto;
    @Column(name = "municipio_reparto")
    private String municipioReparto;
    @Column(name = "telefono_contacto")
    private String telefonoContacto;
    @Column(name = "latitud")
    private String latitud;
    @Column(name = "longitud")
    private String longitud;
    @Column(name = "correlativo_reparto")
    private String correlativo_reparto;


    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getDireccionReparto() {
        return direccionReparto;
    }

    public void setDireccionReparto(String direccionReparto) {
        this.direccionReparto = direccionReparto;
    }

    public String getMunicipioReparto() {
        return municipioReparto;
    }

    public void setMunicipioReparto(String municipioReparto) {
        this.municipioReparto = municipioReparto;
    }

    public String getTelefonoContacto() {
        return telefonoContacto;
    }

    public void setTelefonoContacto(String telefonoContacto) {
        this.telefonoContacto = telefonoContacto;
    }

    public String getLatitud() {
        return latitud;
    }

    public void setLatitud(String latitud) {
        this.latitud = latitud;
    }

    public String getLongitud() {
        return longitud;
    }

    public void setLongitud(String longitud) {
        this.longitud = longitud;
    }

    public String getCorrelativo_reparto() {
        return correlativo_reparto;
    }

    public void setCorrelativo_reparto(String correlativo_reparto) {
        this.correlativo_reparto = correlativo_reparto;
    }

    public ConsultoresDatosReparto() {
    }
}
